Subject: bug#7747: Please put current file name in the prompt for rename-file

From: Lennart Borgman <[email-masked]>
Date: Tue, 28 Dec 2010 03:15:33 +0100

On Tue, Dec 28, 2010 at 2:47 AM, Juri Linkov <[email-masked]> wrote:
>> The prompt for `rename-file' does not currently show the old file name
>> thought it is in the history for the prompt.
>
> Please try `M-x rename-file RET M-n'.

Yes, I know about that. What I mean is that this is very
counterintuitive for new users. They are used to have the name they
are renaming in the prompt (since that is what GUI software normally
do).

And I wonder whether the current behavior really helps old users most
of the time. I think most of the time I rename a file I just change
part of the file name.